Subject: Re: Tabs in commit messages - de-tabify option in strbuf_stripspace()?

From: Matthieu Moy <[email-masked]>
Date: Sun, 20 Mar 2016 14:29:48 +0100

Marc Branchaud <[email-masked]> writes:

> On 16-03-15 09:02 PM, Stefan Beller wrote:
>> On Tue, Mar 15, 2016 at 6:00 PM, Stefan Beller <[email-masked]> wrote:
>>>
>>> Instead of converting to whitespaces in Git, we could make use of the
>>> set_tabs capability for ttys and setup the terminal for having tabs align
>>> to 12,+8,+8,+8...
>> 
>> Or rather read in the existing tabs configuration and shift it by a constant.
>
> Could this also help with diff output, where the leading + or - mars the
> indentation in a similar way?

Hardly: the same pager would be used to display the commit message (with
a 4-space prefix) and the diff (with a 1-char +/- prefix). So the
offsets in these two places would need to be different, and I don't
think we can change that on the fly.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/